NewStart CGSL CORE 5.05 / MAIN 5.05:python-pillow 弱點 (NS-SA-2021-0163)

high Nessus Plugin ID 154610

語系:

Synopsis

遠端 NewStart CGSL 主機受到一個弱點影響。

描述

執行 CORE 5.05 / MAIN 5.05 版的遠端 NewStart CGSL 主機上安裝的 python-pillow 套件受到一個弱點影響:

- 在 Pillow 6.2.2 之前的版本中,libImaging/FliDecode.c 存在 FLI 緩衝區溢位問題。(CVE-2020-5313)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級易受攻擊的 CGSL python-pillow 套件。請注意,可能尚未出爐已升級的套件。如需詳細資訊,請聯絡 ZTE。

另請參閱

http://security.gd-linux.com/notice/NS-SA-2021-0163

http://security.gd-linux.com/info/CVE-2020-5313

Plugin 詳細資訊

嚴重性: High

ID: 154610

檔案名稱: newstart_cgsl_NS-SA-2021-0163_python-pillow.nasl

版本: 1.2

類型: local

已發布: 2021/10/28

已更新: 2021/10/28

風險資訊

VPR

風險因素: Medium

分數: 5

CVSS v2

風險因素: Medium

基本分數: 5.8

時間分數: 4.3

媒介: AV:N/AC:M/Au:N/C:P/I:N/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2020-5313

CVSS v3

風險因素: High

基本分數: 7.1

時間分數: 6.2

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:zte:cgsl_core:python-pillow, p-cpe:/a:zte:cgsl_core:python-pillow-devel, p-cpe:/a:zte:cgsl_core:python-pillow-doc, p-cpe:/a:zte:cgsl_core:python-pillow-qt, p-cpe:/a:zte:cgsl_core:python-pillow-sane, p-cpe:/a:zte:cgsl_core:python-pillow-tk, p-cpe:/a:zte:cgsl_main:python-pillow, p-cpe:/a:zte:cgsl_main:python-pillow-devel, p-cpe:/a:zte:cgsl_main:python-pillow-doc, p-cpe:/a:zte:cgsl_main:python-pillow-qt, p-cpe:/a:zte:cgsl_main:python-pillow-sane, p-cpe:/a:zte:cgsl_main:python-pillow-tk, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

必要的 KB 項目: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/9/24

弱點發布日期: 2020/1/3

參考資訊

CVE: CVE-2020-5313